Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7
Class SS7PeerUnavailableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jain.protocol.ss7.SS7Exception
                        |
                        +--jain.protocol.ss7.SS7PeerUnavailableException

public class SS7PeerUnavailableException
extends SS7Exception

The SS7 Peer Unavailable Exception indicates that the JAIN SS7 Peer (a particular implementation of JAIN SS7) is unavailable on the current system. This Exception is thrown when the method in the class specified is invoked and the class specified by className in not available.

This Exception may be thrown for any one of the following reasons:

- The supplied className refers to a class that is not located within class searchpath.
- The peer JAIN SS7 class is located within the pathName but the supplied classname is incorrect. Note that a fully qualified classname must be supplied. ie. - "jain.protocol.ss7.tcap.JainTcapStackImpl"

Version:
  1.0
Author:
  Colm Hayden & Phelim O'Doherty
See Also:
  Serialized Form

Constructor Summary
`SS7PeerUnavailableException()` Constructs a new SS7 Peer Unavailable Exception.
`SS7PeerUnavailableException(java.lang.String msg)` Constructs a new SS7 Peer Unavailable Exception with the specified message detail.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SS7PeerUnavailableException

    public SS7PeerUnavailableException(java.lang.String msg)

  Constructs a new SS7 Peer Unavailable Exception with the specified message detail.
  Parameters:
    `msg` - the message detail of this Exception.

### SS7PeerUnavailableException

    public SS7PeerUnavailableException()

  Constructs a new SS7 Peer Unavailable Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems